
all: bonnie++

PROGRAMS=bonnie++ bon_csv2html bon_csv2txt
#PPC=-mno-powerpc -mno-power

#OS2=yes

ifdef OS2
CC=icc /G4 /Gm+ /Gl+ /O+ /Oi+ /Ol+ -DOS2 /Q+
else
CC=gcc -O2 -g -Wall -pipe
endif

SOURCE=bon_io.cpp bon_file.cpp bon_time.cpp forkit.cpp semaphore.cpp
ifdef OS2
OBJS=$(SOURCE:.cpp=.obj)
else
LFLAGS=-o bonnie++
OBJS=$(SOURCE:.cpp=.o)
endif

bonnie++: bonnie++.cpp $(OBJS)
	$(CC) bonnie++.cpp $(OBJS) $(LFLAGS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	strip bonnie++
	cp $(PROGRAMS) $(DESTDIR)/usr/bin

ifdef OS2
%.obj: %.cpp %.h bonnie.h
else
%.o: %.cpp %.h bonnie.h
endif
	$(CC) -c $< -o $@

clean:
	rm -f bonnie++ $(OBJS)
	rm -rf build-stamp install-stamp debian/tmp err out


